Устанавливаем Wine в Ubuntu 20.04

Добрый день всем, кто оказался на данном сайте. Wine позволяет запускать приложения написанные для Windows в Linux. В том числе и игры. На основе Wine создаются проекты типа Steam Proton и Lutris. И так, для того что бы установить Wine в Ubuntu 20.04 есть два варианта, установка из репозитория самого дистрибутива и подключить PPA репозиторий. В репозитории PPA находится самая последняя версия Wine, так как сам репозиторий поддерживается разработчиками самого Wine.

Установка Wine

Для того что бы подключить PPA репозиторий от разработчиков Wine, переходим в терминал. И первым делом нужно включить поддержку 32 битных приложений, вводим команду:

sudo dpkg --add-architecture i386 

После чего скачиваем ключ от репозитория Wine и добавляем его в нашу систему командой:

wget -O - https://dl.winehq.org/wine-builds/winehq.key | sudo apt-key add -

Теперь подключаем сам репозиторий Wine введя команду:

sudo add-apt-repository 'deb https://dl.winehq.org/wine-builds/ubuntu/ focal main'

Ну и наконец устанавливаем Wine, существует три ветки Wine, это Stable branch, Development branch и Staging branch. В данной статье мы будем устанавливать ветку Development branch. Для установки других веток, вам нужно будет заменить название ветки после слова “–install-recommends”… То есть:

sudo apt install –install-recommends и вводите название нужной вам ветки. Например winehq-stable или winehq-staging.

Но, мы продолжаем, и как уже было сказано, устанавливать мы будем ветку Development branch. Для этого возвращаемся в терминал и вводим команду:

sudo apt update && sudo apt install --install-recommends winehq-devel
Wine Install Ubuntu 20.04 1

После успешной установки Wine запускаем winecfg. После ввода данной команды устанавливаем все необходимые компоненты Wine:

winecfg
Wine Install Ubuntu 20.04 2
Wine Install Ubuntu 20.04 3
Wine Install Ubuntu 20.04 4

В данном окне можно выбрать операционную систему из семейства Windows. По большому счету, можно оставить данную настройку по умолчанию. То есть, оставить Windows 7:

Wine Install Ubuntu 20.04 5

Теперь ради эксперимента запустим “winbox”, это приложение для настройки роутера Mikrotik. Оно разрабатывается под систему Windows, но, хорошо работает и под Wine. И так, открываем файловый менеджер и на приложении “winbox” щелкаем правой клавишей, после чего выбираем пункт “Открыть в другом приложении”:

Wine Install Ubuntu 20.04 6

В появившемся окне выбираем “Wine – загрузчик Windows программ”:

Wine Install Ubuntu 20.04 7

После чего “Winbox” успешно запустится словно в среде Windows:

Wine Install Ubuntu 20.04 8

Таким образом вы можете запускать и другие приложения, для которых в Linux нет подходящей альтернативы. Так же инсталлировать игры, и многое другое. Приложение Wine активно развивается, что открывает некоторые перспективы.

А на этом сегодня все. Надеюсь данная статья будет вам полезна.
С уважением Cyber-X

23 комментария к «Устанавливаем Wine в Ubuntu 20.04»

  1. Благодарю.а то как установил 20у ни одну игру не запустить…щща буду изголяться дальше.

  2. Здорово! мне вообще из win приложений только metatrader нужен! Теперь работает!

  3. “После чего скачиваем ключ от репозитория Wine ” – Где я его возьму-то? Тут для (тупых) отдельная инструкция нужна.

    1. А какую именно вы игру хотите запустить? Я сам в игры не играю, но, возможно подскажу что необходимо скачать

  4. Благодарю за пост. Очень помог с установкой, но у меня появились вопросы. Прошу понять, я новичок в Linux’е. У меня Ubuntu 20.04.1 LTS, слабый ноут.

    После установки Playonlinux, для пробы я установил игру Mount and Blade: Warband. Удивился тем что у меня получилось, радостно поиграл минут десять и… вышел. FPS игры меня не устроил, даже не знаю можно ли поднять производительность. Я в этом не разбираюсь. Но к своему удивлению, я не нашел его в списке Playonlinux и не могу её заново запустить. Что делать? Как удалить? Как запустить?

  5. “Обновления из этого репозитория невозможно выполнить безопасным методом”

    Не работает

  6. Здравствуйте!
    При попытке установки получаю ошибку. В чем проблема?
    $ sudo apt update && sudo apt install –install-recommends winehq-devel
    Hit:1 http://dl.google.com/linux/chrome/deb stable InRelease
    Hit:2 http://archive.canonical.com/ubuntu focal InRelease
    Hit:3 http://archive.ubuntu.com/ubuntu focal InRelease
    Hit:4 http://ppa.launchpad.net/jtaylor/keepass/ubuntu focal InRelease
    Hit:5 http://archive.ubuntu.com/ubuntu focal-security InRelease
    Hit:6 https://dl.winehq.org/wine-builds/ubuntu focal InRelease
    Reading package lists… Done
    Building dependency tree
    Reading state information… Done
    All packages are up to date.
    Reading package lists… Done
    Building dependency tree
    Reading state information… Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies:
    winehq-devel : Depends: wine-devel (= 6.1~focal-1)
    E: Unable to correct problems, you have held broken packages.

      1. Спасибо за ответ.
        Добавил 2 других репозитория. Снова ошибка:
        sudo apt update && sudo apt install –install-recommends winehq-stable
        Hit:1 http://dl.google.com/linux/chrome/deb stable InRelease
        Hit:2 http://ppa.launchpad.net/jtaylor/keepass/ubuntu focal InRelease
        Hit:3 http://archive.ubuntu.com/ubuntu focal InRelease
        Hit:4 https://dl.winehq.org/wine-builds/ubuntu focal InRelease
        Hit:5 http://archive.ubuntu.com/ubuntu focal-security InRelease
        Hit:6 https://dl.winehq.org/wine-builds/ubuntu groovy InRelease
        Hit:7 http://archive.canonical.com/ubuntu focal InRelease
        Hit:8 https://dl.winehq.org/wine-builds/ubuntu bionic InRelease
        Reading package lists… Done
        Building dependency tree
        Reading state information… Done
        3 packages can be upgraded. Run ‘apt list –upgradable’ to see them.
        Reading package lists… Done
        Building dependency tree
        Reading state information… Done
        Some packages could not be installed. This may mean that you have
        requested an impossible situation or if you are using the unstable
        distribution that some required packages have not yet been created
        or been moved out of Incoming.
        The following information may help to resolve the situation:

        The following packages have unmet dependencies:
        winehq-stable : Depends: wine-stable (= 6.0.0~groovy-1)
        E: Unable to correct problems, you have held broken packages.

        1. попробуйте команду:
          sudo apt install -f
          так как у вас имеются некоторые проблемы с зависимостями

          1. К сожалению не помогает:
            root@ProBook:/etc/apt# apt install -f –install-recommends winehq-stable
            Reading package lists… Done
            Building dependency tree
            Reading state information… Done
            Some packages could not be installed. This may mean that you have
            requested an impossible situation or if you are using the unstable
            distribution that some required packages have not yet been created
            or been moved out of Incoming.
            The following information may help to resolve the situation:

            The following packages have unmet dependencies:
            winehq-stable : Depends: wine-stable (= 6.0.0~focal-1)
            E: Unable to correct problems, you have held broken packages.

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *